MPlayer(1)

NAME
mplayer - Movie Player for Linux
mencoder - Movie Encoder for Linux

SYNOPSIS
mplayer [options] [ file | URL | playlist | - ]
mplayer
[global options] file1 [specific options] [file2] [specific options]
mplayer
[global options] {group of files and options} [group specific options]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [user:passwd@]URL[:port] [options]
mplayer
dvd://title [options]
mplayer
vcd://track[/device] [options]
mplayer
tv://[channel] [options]
mplayer
mf://filemask [options]
mplayer
[cdda|cddb]://track[:speed][/device] [options]
mplayer
cue://file[:track] [options]
mplayer
sdp://file [options]
mplayer
mpst://host[:port]/URL [options]
mplayer
dvb://channel [options]
mencoder [options] [ file | URL | - ] [-o file]
gmplayer [options] [-skin skin]

DESCRIPTION
mplayer is a movie player for LINUX (runs on many other Unices and non-x86 CPUs, see the documentation). It plays most MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM and RoQ files, supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies, too (without using the avifile library).

Another great feature of MPlayer is the wide range of supported output drivers. It works with X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you can also use GGI, SDL (and this way all their drivers), VESA (on every VESA compatible card, even without X11), some low level card-specific drivers (for Matrox, 3Dfx and ATI) and some hardware MPEG decoder boards, such as the Siemens DVB, DXR2 and DXR3/Hollywood+. Most of them support software or hardware scaling, so you can enjoy movies in fullscreen.

MPlayer has an onscreen display (OSD) for status information, nice big antialiased shaded subtitles and visual feedback for keyboard controls. European/ISO 8859-1,2 (Hungarian, English, Czech, etc), Cyrillic and Korean fonts are supported along with 10 subtitle formats (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub and our own: MPsub) and DVD subtitles (SPU streams, VobSub and Closed Captions).

mencoder (MPlayer's Movie Encoder) is a simple movie encoder, designed to encode MPlayer-playable movies (see above) to other MPlayer-playable formats (see below). It encodes to DivX4, XviD, one of the libavcodec codecs and PCM/MP3/VBRMP3 audio in 1, 2 or 3 passes. Furthermore it has stream copying abilities, a powerful plugin system (crop, expand, flip, postprocess, rotate, scale, noise, rgb/yuv conversion) and more.

gmplayer is MPlayer with a graphical user interface. It has the same options as MPlayer.

GENERAL NOTES
Also see the HTML documentation!

Every 'flag' option has a 'noflag' counterpart, e.g. the opposite of the -fs option is -nofs.

You can put all of the options in a configuration file which will be read every time MPlayer is run. The system-wide configuration file 'mplayer.conf' is in your configuration directory (e.g. /etc/mplayer or /usr/local/etc/mplayer), the user specific one is '~/.mplayer/config'. User specific options override system-wide options and options given on the command line override either. The syntax of the configuration files is 'option=<value>', everything after a '#' is considered a comment. Options that work without values can be enabled by setting them to 'yes' or '1' and disabled by setting them to 'no' or '0'. Even suboptions can be specified in this way.

EXAMPLE:
# Use Matrox driver by default.
vo=xmga
# I love practicing handstands while watching videos.
flip=yes
# Decode/encode multiple files from png,
# start with mf://filemask
mf=type=png:fps=25

You can also write file-specific configuration files. If you wish to have a configuration file for a file called 'movie.avi', create a file named 'movie.avi.conf' with the file-specific options in it and put it in ~/.mplayer or in the same directory as the file.

KEYBOARD CONTROL
NOTE:
MPlayer has a fully configurable, command driven, control layer which allow you to control MPlayer using keyboard, mouse, joystick or remote control (using lirc).
The default configuration file for the input system is ~/.mplayer/input.conf but it can be overriden using the -input conf option.
These keys may/may not work, depending on your video output driver.

general control
    seek backward/forward 10 seconds seek backward/forward 1 minute seek backward/forward 10 minutes backward/forward in playlist go to next/previous playtree entry in the parent list go to next/previous alternative source (asx playlist only) pause movie (any key unpauses) stop playing and quit adjust audio delay by +/- 0.1 second decrease/increase volume decrease/increase volume mute sound toggle fullscreen toggle stay-on-top. Supported by drivers which use X11, except SDL, as well as directx and gl2 under Windows. decrease/increase panscan range toggle between OSD states: none / seek / seek+timer toggle frame dropping toggle subtitle visibility switch subtitle language
    F   toggle display of "forced subtitles" toggle subtitle aligment: top/middle/bottom adjust subtitle delay by +/- 0.1 second adjust subtitle position set EDL mark

(The following keys are valid only when using a hardware accelerated video output (xv, (x)vidix, (x)mga, etc), or the software equalizer filter (-vf eq or -vf eq2).

    adjust contrast adjust brightness adjust hue adjust saturation

GUI keyboard control
    start playing stop playing load file skin browser toggle playlist

TV input control
    select previous/next channel change norm change channel list

PLAYER OPTIONS (MPLAYER ONLY)

-autoq <quality> (use with -vf [s]pp)
    Dynamically changes the level of postprocessing depending on available spare CPU time. The number you specify will be the maximum level used. Usually you can use some big number. You have to use -vf [s]pp without parameters in order to use this.

-autosync <factor>
    Gradually adjusts the A/V sync based on audio delay measurements. Specifying -autosync 0, the default, will cause frame timing to be based entirely on audio delay measurements. Specifying -autosync 1 will do the same, but will subtly change the A/V correction algorithm used. An uneven video frame rate in a movie which plays fine with -nosound can often be helped by setting this to an integer value greater than 1. The higher the value, the closer the timing will be to -nosound. Try -autosync 30 to smooth out problems with sound drivers which do not implement a perfect audio delay measurement. With this value, if large A/V sync offsets occur, they will only take about 1 or 2 seconds to settle out. This delay in reaction time to sudden A/V offsets should be the only side-effect of turning this option on, for all sound drivers.

-benchmark
    Prints some statistics on CPU usage and dropped frames at the end. Use in combination with -nosound and -vo null for benchmarking only the video codec.
    NOTE: With this option MPlayer will also ignore frame duration when playing only video (you can think of that as infinite fps).

-colorkey <number>
    Changes the colorkey to an RGB value of your choice. 0x000000 is black and 0xffffff is white. Only supported by the cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix and xover video out drivers.

-nocolorkey
    Disables colorkeying. Only supported by the cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix and xover video out drivers.

-edl <filename>
    Enables edit decision list (EDL) actions during playback. Video will be skipped over and audio will be muted and unmuted according to the entries in the given file. See DOCS/HTML/en/edl.html for details on how to use this.

-edlout <filename>
    Creates a new file and writes edit decision list (EDL) records to that file. During playback, when the user hits 'i', an entry to skip over the last two seconds of playback will be written to the file. This provides a starting point from which the user can fine-tune EDL entries later. See DOCS/HTML/en/edl.html for details.

-enqueue (GUI only)
    Enqueue files given on the command line in the playlist instead of playing them immediately.

-fixed-vo (BETA CODE!)
    Enforces a fixed video system for multiple files (one (un)initialisation for all files). Therefore only one window will be opened for all files. Currently the following drivers are fixed-vo compliant: gl2, mga, svga, x11, xmga, xv and xvidix.

-framedrop (also see -hardframedrop)
    Skip displaying some frames to maintain A/V sync on slow systems. Video filters are not applied to such frames. For B frames even decoding is skipped completely.

-h, -help, --help
    Show short summary of options.

-hardframedrop
    More intense frame dropping (breaks decoding). Leads to image distortion!

-identify
    Show file parameters in easy parsable format. The wrapper script TOOLS/midentify suppresses the other MPlayer output and (hopefully) shellescapes the filenames.

-input <commands>
    This option can be used to configure certain parts of the input system. Paths are relative to ~/.mplayer/.
    NOTE: Autorepeat is currently only supported by joysticks.

    Available commands are:

    Read alternative input.conf. If given without pathname, ~/.mplayer is assumed. Delay in msec before we start to autorepeat a key (0 to disable). How many key presses per second when we autorepeat. Prints all keys that can be bound. Prints all commands that can be bound. Specifies the joystick device to use (default is /dev/input/js0). Read commands from the given file. Mostly useful with a fifo.
    NOTE: When the given file is a fifo MPlayer opens both ends so you can do several 'echo "seek 10" > mp_pipe' and the pipe will stay valid.

-lircconf <file>
    Specifies a configuration file for LIRC (Linux Infrared Remote Control, see http://www.lirc.org) if you don't like the default ~/.lircrc.

-list-options
    Prints out all the available options.

-loop <number>
    Loops movie playback <number> times. 0 means forever.

-menu (BETA CODE)
    Turn on OSD menu support.

-menu-cfg <file> (BETA CODE)
    Use an alternative menu.conf.

-menu-root <value> (BETA CODE)
    Specify the main menu.

-nojoystick
    Turns off joystick support. Default is on, if compiled in.

-nolirc
    Turns off LIRC support.

-nomouseinput
    Disable mouse button press/release input (mozplayerxp's context menu relies on this option).

-nortc
    Turns off usage of the Linux RTC (real-time clock - /dev/rtc) as timing mechanism.

-playlist <file>
    Play files according to a playlist (1 file per row or Winamp or ASX format).
    NOTE: This option is considered an entry so options found after it will apply only to the elements of this playlist.

-quiet
    With this option the status line (i.e. A: 0.7 V: 0.6 A-V: 0.068 ...) will not be displayed. Particularly useful on slow terminals or broken ones that do not properly handle carriage return (i.e. \r).

-really-quiet
    Display even less output and status messages.

-shuffle
    Play files in random order.

-skin <skin directory> (GUI only)
    Load skin from the given directory (WITHOUT path name).

    EXAMPLE:
    tries Skin/fittyfene. It first checks /usr/local/share/mplayer/ and afterwards ~/.mplayer/.

-slave
    This option switches on slave mode. This is intended for use of MPlayer as a backend to other programs. Instead of intercepting keyboard events, MPlayer will read simplistic command lines from its stdin.

-softsleep
    Uses high quality software timers. As precise as the RTC without requiring special privileges. Comes at the price of higher CPU consumption.

-speed <0.01-100>
    Set playback speed rate.

-sstep <sec>
    Specifies seconds between displayed frames. Useful for slideshows.

-use-stdin
    The standard input (aka. stdin) will be used to read data instead of key events. If you open /dev/stdin (or the equivalent on your system), use stdin in a playlist or intend to read from stdin later on via the openfile or openlist commands you need this option.

DEMUXER/STREAM OPTIONS

-aid <id> (also see -alang option)
    Select audio channel [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190]. MPlayer prints the available IDs when running in verbose (-v) mode. When playing an MPEG-TS stream, MPlayer/Mencoder will use the first program (if present) with the chosen audio stream.

-alang <two letter country code> (also see -aid option)
    Works only for DVD playback. It selects the DVD audio language and always tries to play audio streams whose language matches the given code. For the list of available languages, use with the -v option and look at the output.

    EXAMPLE:
    Plays Hungarian and falls back to English if Hungarian is not available.

-audio-demuxer <number> (-audiofile only)
    Force audio demuxer type for -audiofile. Give the demuxer ID as defined in demuxers.h. Use -audio-demuxer 17 to force .mp3 detection.

-audiofile <filename>
    Play audio from an external file (WAV, MP3 or Ogg Vorbis) while viewing a movie.

-audiofile-cache <kBytes>
    Enables caching for the stream used by -audiofile, using the specified amount of memory.

-bandwidth <value>
    Specify the maximum bandwidth for network streaming (for servers that are able to send content in different bitrates). Useful if you want to watch live streamed media behind a slow connection.

-cdrom-device <path to device>
    Override default CDROM drive name /dev/cdrom.

-cache <kBytes>
    This option specifies how much memory (in kBytes) to use when precaching a file/URL. Especially useful on slow media (default is -nocache).

-cdda <option1:option2>
    This option can be used to tune the CD Audio reading feature of MPlayer.

    Available options are:
    set CD spin speed set paranoia level
        0: disable checking
        1: overlap checking only (default)
        2: full data correction and verification
    use specified generic SCSI device atomic read size force minimum overlap search during verification to <value> sectors. Assume that the beginning offset of track 1 as reported in the TOC will be addressed as LBA 0. Some Toshiba drives need this for getting track boundaries correct. Add <value> sectors to the values reported when addressing tracks. May be negative. (never) accept imperfect data reconstruction.

-channels <number>
    Change the number of playback channels, defaults to '2' if not specified. If the number of output channels is bigger than the number of input channels empty channels are inserted (unless mixing from mono to stereo, then the mono channel is repeated in both output channels). If the number of output channels is smaller than the number of input channels, results depend on the audio decoder (-afm). MPlayer asks the decoder to decode the audio into as many channels as specified. Now it's up to the decoder to fulfill the requirement. If the decoder outputs more channels than requested, the exceeding channels are truncated. This is usually only important when playing videos with AC3 audio (like DVDs). In that case liba52 does the decoding by default and correctly downmixes the audio into the requested number of channels.
    NOTE: This option is honored by codecs (AC3 only) filters (surround) and ao drivers (OSS at least).

    Available options are:

    stereo surround full 5.1

-chapter <chapter id>[-<end chapter id>]
    Specify which chapter to start playing at. Optionally specify which chapter to end playing at (default: 1). Examples can be found below.

-cookies
    Send cookies when making HTTP requests.

-cookies-file <filename>
    Read HTTP cookies from this file. The file is assumed to be in Netscape format. If you use this option, MPlayer will not look for cookies in ~/.netscape/ and ~/.mozilla/.

-demuxer <number>
    Force demuxer type. Give the demuxer ID as defined in demuxers.h. Use -demuxer 17 to force .mp3 detection.

-dumpaudio (MPLAYER only)
    Dumps raw compressed audio stream to ./stream.dump (useful with mpeg/ac3).

-dumpfile <filename> (MPLAYER only)
    Specify which file MPlayer should dump to. Should be used together with -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPLAYER only)
    Dumps the raw stream to ./stream.dump. Useful when ripping from DVD or network.

-dumpvideo (MPLAYER only)
    Dump raw compressed video stream to ./stream.dump (not very usable).

-dvbin <options>
    Pass the following parameters to the DVB input module, in order to override the default ones:

    Specifies using card number 1-4 (default: 1). Instructs MPlayer to read the channels list from <file>. Specifies that the card type is SATellite, TERrestrial or CaBLe. If not specified the type will be autodetected.

-dvd-device <path to device>
    Override default DVD device name /dev/dvd.

-dvdangle <angle id>
    Some DVD discs contain scenes that can be viewed from multiple angles. Here you can tell MPlayer which angles to use (default: 1). Examples can be found below.

-forceidx
    Force rebuilding of INDEX. Useful for files with broken index (desyncs, etc). Seeking will be possible. You can fix the index permanently with MEncoder (see the documentation).
    NOTE: You can only use this option if the underlying media supports seeking (i.e. not with stdin, pipe, etc).

-fps <value>
    Override video framerate (if value is wrong/missing in the header) (float number).

-frames <number>
    Play/convert only first <number> frames, then quit.

-hr-mp3-seek (MP3 only)
    Hi-res mp3 seeking. Default is: enabled when playing from external MP3 file, as we need to seek to the very exact position to keep A/V sync. It can be slow especially when seeking backwards - it has to rewind to the beginning to find the exact frame.

-idx (also see -forceidx)
    Rebuilds INDEX of the AVI if no INDEX was found, thus allowing seeking. Useful with broken/incomplete downloads, or badly created AVIs.
    NOTE: You can only use this option if the underlying media supports seeking (i.e. not with stdin, pipe, etc).

-ipv4-only-proxy
    Skip the proxy for IPv6 addresses. It will still be used for IPv4 connections.

-loadidx <filename>
    The file name from which to read the video INDEX data, as saved by -saveidx. MPlayer will read the index from filename and use this data for seeking. This data will override any index data contained in the AVI itself. Further, MPlayer won't prevent you from loading an index file generated from a different AVI, but this is sure to cause unfavorable results.
    NOTE: This option will be obsoleted once AVI gets ODML support!

-mc <seconds/frame>
    Maximum A-V sync correction per frame (in seconds).

-mf <option1:option2:...>
    Used when decoding from multiple PNG or JPEG files.

    Available options are:

    width of the output (autodetect) height of the output (autodetect) fps of the output (default: 25) type of input files (available types: jpeg, png, tga, sgi)

-ni (AVI only)
    Force usage of non-interleaved AVI parser (fixes playing of some bad AVI files).

-nobps (AVI only)
    Do not use average byte/sec value for A-V sync (AVI). Helps with some AVI files with broken header.

-noextbased
    Disables filename-extension based demuxer selection. By default, when file type (demuxer) cannot be detected reliably (the file has no header or it is not reliable enough), the filename extension is used to select demuxer. It always falls back to content-based demuxer selection.

-passwd <password> (see -user option too)
    Specify password for http authentication.

-prefer-ipv4
    Use IPv4 on network connections. Falls back to IPv6 automatically.

-prefer-ipv6
    Use IPv6 on network connections. Falls back to IPv4 automatically.

-rawaudio <option1:option2:...>
    This option lets you play raw audio files. It may also be used to play audio CDs which are not 44KHz 16Bit stereo.

    Available options are:

    use raw audio demuxer number of channels rate in samples per second sample size in byte fourcc in hex

-rawvideo <option1:option2:...>
    This option lets you play raw video files.

    Available options are:

    use raw video demuxer rate in frames per second, default 25.0 set standard image size image width in pixels image height in pixels set colorspace colorspace (fourcc) in hex frame size in Bytes

-rtsp-stream-over-tcp
    Used with 'rtsp://' URLs to specify that the resulting incoming RTP and RTCP packets be streamed over TCP (using the same TCP connection as RTSP). This option may be useful if you have a broken Internet connection that does not pass incoming UDP packets (see http://www.live.com/mplayer/).

-saveidx <filename>
    Force rebuilding of INDEX and output to a separate file specified by the argument filename. Currently this only works with AVI files. Although you can use MEncoder to fix files without indexes, the AVI container format is limited to indexing files up to 2GB in size. It is however possible to store the index in a separate file and use it later with -loadidx, which is faster than rebuilding the index (with -idx or -forceidx) each time the movie is opened. (This is a limitation of the AVI format, and although there exists an extension to index beyond 2GB, MPlayer doesn't yet support this extension.) After the index file is created, MPlayer will begin to play the video. If you want to automate index file generation (after encoding a large file off a TV capture card, for example), you can specify -frames 0 to prevent MPlayer from playing the video after generating the index.
    NOTE: This option will be obsoleted once AVI gets ODML support!

-sb <byte position> (see -ss option too)
    Seek to byte position. Useful for playback from CDROM images / .VOB files with junk at the beginning.

-srate <Hz>
    Forces the given audio playback rate, changing video speed to keep A-V sync. MEncoder passes this value to lame for resampling.

-ss <time> (see -sb option too)
    Seek to given time position.

    EXAMPLE:
    seeks to 56 seconds seeks to 1 hour 10 min

-tskeepbroken
    Tells MPlayer not to discard TS packets reported as broken in the stream. Sometimes needed to play corrupted MPEG-TS files.

-tsprog <1-65534>
    When playing an MPEG-TS stream, you can specify with this option which program (if present) you want to play. Can be used with -vid and -aid.

-tsprobe <byte position>
    When playing an MPEG-TS stream, this option lets you specify how many bytes in the stream you want MPlayer to search for the desired audio and video pids.

-tv <option1:option2:...>
    This option tunes various properties of the TV capture module. For watching TV with MPlayer, use 'tv://' or 'tv://<channel_number>' or even 'tv://<channel_name> (see option channels for channel_name below) as a movie URL.
    NOTE: MPlayer doesn't accept colons so type dots instead in the device ID (e.g. hw.0,0 instead of hw:0,0).
    Be advised that although you can select any samplerate when using ALSA, the LAME audio codec is able to encode only the 'standard' samplerates. You'll get an .avi file with no sound when you choose an odd samplerate and use this codec.

    Available options are:
    no sound available: dummy, v4l, v4l2, bsdbt848 Specify other device than the default /dev/video0. Specify other input than the default 0 (Television) (see output for a list) Specify the frequency to set the tuner to (e.g. 511.250). Not compatible with channels parameter. Specify the output format of the tuner with a preset value supported by the V4L driver (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) or an arbitrary format given as hex value. Try outfmt=help for a list of all available formats. width of the output window height of the output window framerate at which to capture video (frames per second) maximum size of the capture buffer in megabytes (default: dynamical) available: PAL, SECAM, NTSC. For v4l2 use the normid option below. v4l2 only. See MPlayer output for a list of available TV norms. Set tuner to <value> channel. available: europe-east, europe-west, us-bcast, us-cable, etc Set names for channels. Use _ for spaces in names (or play with quoting ;-). The channel names will then be written using OSD, and the commands tv_step_channel, tv_set_channel and tv_last_channel will then be usable using a remote (see lirc). Not compatible with frequency parameter. Warning: The channel number will then be the position in the 'channels' list, beginning with 1. Example: use tv://1, tv://2, tv://TV1, tv_set_channel 1, tv_set_channel 2, tv_set_channel TV1, etc. set the color equalizer on the card set audio capture bitrate capture audio even if there are no audio sources reported by v4l capture from ALSA choose an audio mode:
        0: mono
        1: stereo
        2: language 1
        3: language 2
    By default, the count of recorded audio channels is determined automatically by querying the audio mode from the tv card. This option allows to force stereo/mono recording regardless of the amode option and the values returned by v4l. This can be used for troubleshooting when the tv card is unable to report the current audio mode. set an audio device
        /dev/... for OSS
        hardware ID for ALSA
    choose an audio output of the capture card, if it has more of them These options set parameters of the mixer on the video capture card. They will have no effect, if your card doesn't have one. For v4l1, 0-65535 is a valid range. For v4l2, the valid range is 0 to 100, and 50 maps to the default value of the control, as reported by the driver. A value of 0 means capture and buffer audio and video together (default for MEncoder). A value of 1 (default for MPlayer) means to do video capture only and let the audio go through a loopback cable from the TV card to the soundcard. Use hardware mjpeg compression (if the card supports it). When using this option, you do not need to specify the width and height of the output window, because MPlayer will determine it automatically from the decimation value (see below). choose the size of the picture that will be compressed by hardware mjpeg compression:
        1: full size
            704x576 PAL
            704x480 NTSC
        2: medium size
            352x288 PAL
            352x240 NTSC
        4: small size
            176x144 PAL
            176x120 NTSC
    choose the quality of the jpeg compression
    (quality < 60 recommended for full size)

-user <user name> (see -passwd option too)
    Specify user name for http authentication.

-user-agent <string>
    Use string as User-Agent for HTTP streaming.

-vid <id>
    Select video channel [MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190]. When playing an MPEG-TS stream, MPlayer/Mencoder will use the first program (if present) with the chosen video stream.

-vivo <sub-options> (DEBUG CODE)
    Force audio parameters for the .vivo demuxer (for debugging purposes).

OSD/SUB OPTIONS
NOTE: See -vf expand too.

-dumpjacosub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the time-based JACOsub subtitle format. Creates a dumpsub.js file in the current directory.

-dumpmicrodvdsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the MicroDVD subtitle format. Creates a dumpsub.sub file in the current directory.

-dumpmpsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to MPlayer's subtitle format, MPsub. Creates a dump.mpsub file in the current directory.

-dumpsami (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the time-based SAMI subtitle format. Creates a dumpsub.smi file in the current directory.

-dumpsrtsub (MPLAYER only)
    Convert the given subtitle (specified with the -sub option) to the time-based SubViewer (SRT) subtitle format. Creates a dumpsub.srt file in the current directory.

-dumpsub (MPLAYER only) (BETA CODE)
    Dumps the subtitle substream from VOB streams. See -dump*sub and -vobsubout* options too.

-ffactor <number>
    Resample alphamap of the font. Can be:
    plain white fonts very narrow black outline (default) narrow black outline bold black outline

-flip-hebrew
    Turns on flipping subtitles using FriBiDi.

-font <path to font.desc file>
    Search for the OSD/SUB fonts in an alternative directory (default for normal fonts: ~/.mplayer/font/font.desc, default for FreeType fonts: ~/.mplayer/subfont.ttf).
    NOTE: With FreeType, this option determines path to the text font file.
    The -subfont-* options are available only with FreeType support compiled in.
    With Fontconfig, this option determines the fontconfig font name.

    EXAMPLE:
    -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-forcedsubsonly
    Display only forced subtitles for the DVD subtitle stream selected by e.g. -slang.

-fribidi-charset <charset name>
    Specifies the charset that will be passed to FriBiDi when decoding a non-UTF8 subtitles (default: ISO8859-8).

-ifo <vobsub ifo file>
    Indicate the file that will be used to load palette and frame size for VOBSUB subtitles.

-noautosub
    Turns off automatic loading of subtitle files.

-osdlevel <0-3> (MPLAYER only)
    Specifies which mode the OSD should start in.
    subtitles only volume + seek (default) volume + seek + timer + percentage volume + seek + timer + percentage + total time

-overlapsub
    Allows the next subtitle to be displayed while the current one is still visible (default is to enable the support only for specific formats).

-sid <id> (also see -slang option)
    Turns on DVD subtitle displaying. Also, you MUST specify a number which corresponds to a DVD subtitle language (0-31). For the list of available subtitles, use with the -v option and look at the output.

-slang <two letter country code> (also see -sid option)
    For DVD playback, turns on/selects DVD subtitle language. For the list of available subtitles, use with the -v option and look at the output.
    Otherwise, determines an optional subtitle suffix which gets a higher priority when searching for subtitles.

    EXAMPLE:
    Selects Hungarian and falls back to English if Hungarian is not available.

-spuaa <mode>
    Antialiasing/scaling mode for DVD/VobSub. A value of 16 may be added to mode in order to force scaling even when original and scaled frame size already match, for example to smooth subtitles with the gaussian blur. The available modes are:
    none (fastest, very ugly) approximate (broken?) full (slow) bilinear (default, fast and not too bad) uses swscaler gaussian blur (looks very good)

-spualign <-1-2>
    Specify how spu (DVD/VobSub) subtitles should be aligned. Values are the same as for -subalign, with the extra choice -1 for original position.

-spugauss <0.0-3.0>
    Variance parameter of gaussian used by -spuaa 4. Higher means more blur. The default is 1.0.

-sub <subtitlefile1,subtitlefile2,...>
    Use/display these subtitle files. Only one file can be displayed at the same time and the files can be switched with 'j'.

-sub-bg-alpha <0-255>
    Specify the alpha channel value for subtitles and OSD backgrounds. Big values mean more transparency. The 0 value is an exception and means completly transparent.

-sub-bg-color <0-255>
    Specify the color value for subtitles and OSD backgrounds. Currently subtitles are grayscale so this value is equivalente to the intensity of the color. The 255 value means white and 0 black.

-sub-demuxer <number> (-subfile only) (BETA CODE)
    Force subtitle demuxer type for -subfile. Give the demuxer ID as defined in subreader.h.

-sub-fuzziness <mode>
    Adjust matching fuzziness when searching for subtitles:
    exact match load all subs containing movie name load all subs in the current directory

-sub-no-text-pp
    Disables any kind of text post processing done after loading the subtitles. Used for debug purposes.

-subalign <0-2>
    Specify how subtitles should be aligned with subpos. 0 means align at top (original/default behavior), 1 means align at center, and 2 means align at bottom.

-subcc
    Display DVD Closed Caption (CC) subtitles. These are NOT the VOB subtitles, these are special ASCII subtitles for the hearing impaired encoded in the VOB userdata stream on most region 1 DVDs. CC subtitles have not been spotted on DVDs from other regions so far.

-subcp <codepage>
    If your system supports iconv(3), you can use this option to specify codepage of the subtitle.

    EXAMPLE:
    -subcp latin2
    -subcp cp1250

-subdelay <sec>
    Delays subtitles by <sec> seconds. Can be negative.

-subfile <filename> (BETA CODE)
    Currently useless. Same as -audiofile, but for subtitle streams (OggDS?).

-subfont-autoscale <0-3>
    Sets the autoscale mode.
    NOTE: Zero means that text-scale and osd-scale are font heights in points.

    The mode can be:

    no autoscale proportional to movie height proportional to movie width proportional to movie diagonal (default)

-subfont-blur <0-8>
    Sets the font blur radius (default: 2).

-subfont-encoding <value>
    Sets the font encoding. When set to 'unicode', all the glyphs from the font file will be rendered and unicode will be used (default: unicode).

-subfont-osd-scale <0-100>
    Sets the osd elements autoscale coefficient (default: 6).

-subfont-outline <0-8>
    Sets the font outline thickness (default: 2).

-subfont-text-scale <0-100>
    Sets the subtitle text autoscale coefficient (percentage of the screen size) (default: 5).

-subfps <rate>
    Specify frame/sec rate of subtitle file (float number), default: the same fps as the movie.
    NOTE: ONLY for frame-based SUB files, i.e. NOT MicroDVD format.

-subpos <0-100> (useful with -vf expand)
    Specify the position of subtitles on the screen. The value is the vertical position of the subtitle in % of the screen height.

-subwidth <10-100>
    Specify the maximum width of subtitles on the screen. Useful for TV-out. The value is the width of the subtitle in % of the screen width.

-unicode
    Tells MPlayer to handle the subtitle file as UNICODE.

-utf8
    Tells MPlayer to handle the subtitle file as UTF8.

-vobsub <vobsub file without extension>
    Specify the VobSub files that are to be used for subtitle. This is the full pathname without extensions, i.e. without the '.idx', '.ifo' or '.sub'.

-vobsubid <0-31>
    Specify the VobSub subtitle id.

AUDIO OUTPUT OPTIONS (MPLAYER ONLY)

-abs <value> (OBSOLETE)
    Override audio driver/card buffer size detection, -ao oss only

-ao <driver1[:device],driver2,...[,]>
    Specify a priority list of audio output drivers (optionally with device) to be used. With SDL 'device' is valid, too, it means subdriver then.
    NOTE: To get a full list of available drivers, see -ao help.
    If the list has a trailing ',' it will fallback to drivers not listed.

    EXAMPLE:
    try to use OSS with the specified sound devices and fallback to others if it fails specify the SDL subdriver

-aofile <filename>
    Filename for -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Specify audio plugin(s) and their options (see documentation too).

    Available options are:
    comma separated list of plugins (resample, surround, format, volume, extrastereo, volnorm) example plugin, do not use. output format (format plugin only) output frequency (resample plugin only) volume (volume plugin only) stereo coefficient (default: 2.5) (extrastereo plugin only) compressor / 'soft-clipping' capabilities (volume plugin only)

-delay <sec>
    Audio delay in seconds (may be +/- float value).

-format <0-8192>
    Select the format used for output from the filter layer (according to the defines in libao2/afmt.h):
    Mu-Law A-Law Ima-ADPCM Signed 8-bit Unsigned 8-bit Unsigned 16-bit (Little-Endian) Unsigned 16-bit (Big-Endian) Signed 16-bit (Little-Endian) Signed 16-bit (Big-Endian) MPEG (2) Audio AC3 Signed 32-bit (Little-Endian) Signed 32-bit (Big-Endian)

-mixer <device>
    This option will tell MPlayer to use a different device for mixing than /dev/mixer.

-nowaveheader (-ao pcm only)
    Don't include wave header. Used for RAW PCM.

VIDEO OUTPUT OPTIONS (MPLAYER ONLY)

-aa* (-vo aa only)
    You can get a list and an explanation of available options executing mplayer -aahelp

-bpp <depth>
    Use different color depth than autodetect. Not all -vo drivers support it (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Adjust brightness of video output (default 0). It changes intensity of RGB components of video signal from black to white screen.

-contrast <-100-100>
    Adjust contrast of video output (default 0). Works in similar manner as brightness.

-dfbopts <value> (-vo directfb2 only)
    Specify a parameter list for the directfb driver.

-display <name>
    Specify the hostname and display number of the X server you want to display on.

    EXAMPLE:
    -display xtest.localdomain:0

-double
    Enables doublebuffering. Fixes flicker by storing two frames in memory, and displaying one while decoding another. Can affect OSD. Needs twice the memory of a single buffer, so it won't work on cards with very little video memory.

-dr Turns on direct rendering (not supported by all codecs and video outputs) (default is off). Warning: may cause OSD/SUB corruption!

-dxr2 <option1:option2:...>
    This option is used to control the dxr2 driver.
    aspect ratio mode (0 = normal, 1 = pan scan, 2 = letterbox (default)) iec958 output mode set iec958 output mode to decoded (default) macrovision mode (0 = off (default), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) mute sound output unmute sound output path to the microcode

    TV Out
    enable 7.5 IRE output mode disable 7.5 IRE output mode (default) b/w TV output color TV output (default) interlaced TV output (default) disable interlaced TV output TV norm (ntsc (default), pal, pal60, palm, paln, palnc) set pixel mode to square set pixel mode to ccir601

    Overlay
    set the left cropping value (default: 50) set the right cropping value (default: 300) set the top cropping value (default: 0) set the bottom cropping value (default: 0) set the r(ed), g(reen) or b(lue) gain of the overlay color-key minimum value for the respective color key maximum value for the respective color key ignore cached overlay settings update cached overlay settings enable overlay onscreen display disable overlay onscreen display (default) adjust the overlay size (h,w) and position (x,y) in case it doesn't match the window perfectly (default: 0) activate overlay (default) activate TVout tune the overlay (default 1000)

-fb <device> (fbdev or DirectFB only) (OBSOLETE)
    Specifies the framebuffer device to use. By default it uses /dev/fb0.

-fbmode <modename> (fbdev only)
    Change video mode to the one that is labelled as <modename> in /etc/fb.modes.
    NOTE: VESA framebuffer doesn't support mode changing.

-fbmodeconfig <filename> (fbdev only)
    Use this configuration file instead of the default /etc/fb.modes. Only valid for the fbdev driver.

-forcexv (SDL only)
    Force using XVideo.

-fs Fullscreen playing (centers movie, and makes black bands around it). Toggle it with the 'f' key (not all video outputs support it). See also -zoom.

-fsmode-dontuse <0-31> (OBSOLETE) (use -fs option)
    Try this option if you still experience fullscreen problems.

-fstype <type1,type2,...>
    Specify a priority list of fullscreen layer setting modes to be used. The available types are:

    Use _NETWM_STATE_ABOVE hint if available. Use _NETWM_STATE_BELOW hint if available. Use _NETWM_STATE_FULLSCREEN hint if available. Use _WIN_LAYER hint with default layer. Use _WIN_LAYER hint with layer number. Force NETWM style. Don't set fullscreen window layer. Use _NETWM_STATE_STAYS_ON_TOP hint if available.

    You can negate the modes by prefixing them with '-'.
    The default order is layer,stays_on_top,above,fullscreen. It will be used as a fallback in case of specifying incorrect or unsupported modes.
    OpenBox 1.x users have to use -fstype -fullscreen to achieve working fs switching.
    If you experience problems with fullscreen window being covered by other windows try using a different order.
    NOTE: See -fstype help for a full list of available modes.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Adjust where the output is on the screen initially. The x and y specifications are in pixels measured from the top-right of the screen to the top-right of the image being displayed, however if a percentage sign is given after the argument it turns the value into a percentage of the screen size in that direction. It also supports the standard option format to the standard X -geometry option. The values given must be integers.
    NOTE: This option is only supported by vo x11, xmga, xv, xvmc, xvidix, directx and tdfxfb.

    EXAMPLE:
    Places the window at x=50, y=40 Places the window in the middle of the screen Places the window at the top left corner of the screen Places the window at the bottom left corner of the screen

-guiwid <window id>
    This tells the GUI to also use an X11 window and stick itself to the bottom of the video, which is useful to embed a mini-GUI in a browser (with the MPlayer plugin for instance).

-hue <-100-100>
    Adjust hue of video signal (default: 0). You can get colored negative of image with this option.

-jpeg <option1:option2:...> (-vo jpeg only)
    Specify options for the JPEG output.
    Available options are:

    Specify standard or progressive JPEG. Specify use of baseline or not. Optimization factor [0-100] Smooth factor [0-100] Quality factor [0-100] Directory to save the JPEG files

-monitor-dotclock <dotclock (or pixelclock) range> (fbdev and vesa only)
    Look into etc/example.conf for further information and in DOCS/HTML/en/devices.html#video-dev.

-monitor-hfreq <horizontal frequency range> (fbdev and vesa only)

-monitor-vfreq <vertical frequency range> (fbdev and vesa only)

-monitoraspect <ratio>
    Set aspect ratio of your monitor or TV screen. See also -aspect for movie aspect.

    EXAMPLE:
    -monitoraspect 4:3 or 1.3333
    -monitoraspect 16:9 or 1.7777

-nograbpointer
    Do not grab mouse pointer after VidMode change (-vm), useful for multihead setup.

-nokeepaspect
    Do not keep window aspect ratio when resizing X11 windows (Works currently only with -vo x11, xv, xmga and xvidix and your window manager needs to understand window aspect hints.).

-noxv (SDL only)
    Disables XVideo SDL driver.

-ontop
    Makes the player window stay on top other windows. Supported by drivers which use X11, except SDL, as well as directx and gl2 under Windows.

-panscan <0.0-1.0>
    Enables Pan & Scan functionality, i.e. in order to display a 16:9 movie on a 4:3 display, the sides of the movie are cropped to get a 4:3 image which fits the screen. This function works only with the xv, xmga, mga and xvidix video out drivers.
    The range controls how much of the image is cropped.

-rootwin
    Play movie in the root window (desktop background) instead of opening a new one. Works only with x11, xv, xmga and xvidix drivers.

-saturation <-100-100>
    Adjust saturation of video output (default: 0). You can get grayscale output with this option.

-screenw <pixels> -screenh <pixels>
    If you use an output driver which can't know the resolution of the screen (fbdev/x11 and/or TVout) this is where you can specify the horizontal and vertical resolution.

-stop-xscreensaver
    Turns off xscreensaver at startup and turns it on again on exit.

-vm Try to change to a better video mode. dga, x11/xv (XF86VidMode) and sdl output drivers support it.

-vo <driver1[:device],driver2,...[,]>
    Specify a priority list of video output drivers (optionally with device) to be used. With SDL and GGI 'device' is valid, too, it means subdriver then.
    NOTE: See -vo help for a full list of available drivers.
    If the list has a trailing ',' it will fallback to drivers not listed.

    EXAMPLE:
    Try Matrox kernel driver, then Xv driver, then others
    specify the SDL subdriver

-vsync
    Enables VBI for vesa.

-wid <window id>
    This tells MPlayer to use a X11 window, which is useful to embed MPlayer in a browser (with the plugger extension for instance).

-xineramascreen <0-...>
    In Xinerama configurations (i.e. a single desktop that spans across multiple displays) this option tells MPlayer which screen to display movie on.

-z <0-9>
    Specifies compression level for PNG output (-vo png)
    no compression max compression

-zrbw (-vo zr only)
    Display in black and white (for optimal performance, this option can be combined with the 'decode only in black and white' option for codecs belonging to the FFmpeg family).

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr only)
    Select a part of the input image for display, multiple occurences of this option switch on cinerama mode. In cinerama mode the movie is distributed over more than one TV (or beamer) to create a larger screen. Options appearing after the n-th -zrcrop apply to the n-th MJPEG card, each card should at least have a -zrdev in addition to the -zrcrop. For examples, see the output of -zrhelp and the Zr section of the documentation.

-zrdev <device> (-vo zr only)
    Specify the device special file that belongs to your MJPEG card, by default this driver takes the first v4l device it can find.

-zrfd (-vo zr only)
    Force decimation: Decimation, as specified by -zrhdec and -zrvdec, only happens if the hardware scaler can stretch the image to its original size. Use this option to force decimation.

-zrhelp (-vo zr only)
    Display a list of all -zr* options, their default values and an example of cinerama mode.

-zrnorm <norm> (-vo zr only)
    Specify norm PAL/NTSC, the default is 'no change'.

-zrquality <1-20> (-vo zr only)
    A number from 1 to 20 representing the jpeg encoding quality. 1 gives the best quality and 20 gives very bad quality.

-zrvdec <1,2,4> -zrhdec <1,2,4> (-vo zr only)
    Vertical/horizontal decimation: Ask the driver to send only every 2nd or 4th line/pixel of the input image to the MJPEG card and use the scaler of the MJPEG card to strech the image to its original size.

-zrxdoff <x display offset>, -zrydoff <y display offset> (-vo zr only)
    If the movie is smaller than the TV screen, these options control the position of the movie relative to the upper left corner of the screen. The movie is centered by default.

DECODING/FILTERING OPTIONS

-ac <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of audio codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it.
    NOTE: See -ac help for a full list of available codecs.
    If the list has a trailing ',' it will fallback to codecs not listed.

    EXAMPLE:
    force l3codeca.acm MP3 codec try libmad first, then fallback to others try hardware AC3 passthrough, then software AC3 codec, then others try other codecs except FFmpeg's MP3 decoder

-af <plugin1[=options],plugin2,...>
    Activate a comma separated list of audio filters and their options.
    Available filters are:
    Changes the sample rate of the audio stream to an integer srate (Hz). It only supports the 16 bit little endian format. Change the number of channels to nch output channels. If the number of output channels is bigger than the number of input channels empty channels are inserted (except mixing from mono to stereo, then the mono channel is repeated in both of the output channels). If the number of output channels is smaller than the number of input channels the exceeding channels are truncated. Select the format f and bytes per sample bps used for output from the filter layer. The option bps is an integer and denotes Bytes per sample. The format f is a string containing a concatenated mix of:
    alaw, mulaw or imaadpcm
    float or int
    unsigned or signed
    le or be (little or big endian)
    Select the output volume level. This filter is not reentrant and can therefore only be enabled once for every audio stream.
        v: desired gain in dB for all channels in the stream. The gain can be set from -200dB to +40dB (where -200dB mutes the sound completely and +40dB equals a gain of 1000).
        sc: enable soft clipping.
    Mixes channels arbitrarily, see DOCS/HTML/en/devices.html#audio-dev for details.
        n: number of output channels (1-6).
        lij: how much of input channel j is mixed into output channel i.
    Add sub-woofer channel.
        fc: Cutoff frequency for low-pass filter (20Hz to 300Hz) default is 60Hz.
        ch: channel number for the sub-channel.
    Decoder for matrix encoded surround sound, works on many 2 channel files.
        d: delay time in ms for the rear speakers (0ms to 1000ms) default is 15ms.
    Delays the sound output. Specify the delay separately for each channel in milliseconds (floating point number between 0 and 1000). Exports the incoming signal to other processes using memory mapping (mmap()).
        mmapped_file: File to map data to (default: ~/.mplayer/mplayer-af_export).
        nsamples: number of samples per channel (default: 512)

-af-adv <force=(0-3):list=(filters)> (see -af option too)
    Specify advanced audio filter options:
    Forces the insertion of audio filters to one of the following:
        0: Completely automatic insertion of filters (default)
        1: Optimize for speed
        2: Optimize for accuracy
        3: Turn off auto
    Same as -af (see -af option).

-afm <driver1,driver2,...>
    Specify a priority list of audio drivers to be used, according to their driver name in codecs.conf. It falls back to default if none is ok.
    NOTE: See -afm help for a full list of available drivers.

    EXAMPLE:
    try FFmpeg's libavcodec (mp1/2/3) codecs first try Win32 codecs first

-aspect <ratio>
    Override aspect ratio of movies. It's autodetected on MPEG files, but can't be autodetected on most AVI files.

    EXAMPLE:
    -aspect 4:3 or -aspect 1.3333
    -aspect 16:9 or -aspect 1.7777

-flip
    Flip image upside-down.

-lavdopts <option1:option2:...> (DEBUG CODE)
    If decoding with libavcodec, you can specify its parameters here.

    EXAMPLE:
    -lavdopts bug=1

    NOTE: Just add the values of the things you want to enable.
    Available options are:
    error concealment:
        1: use strong deblock filter for damaged MBs
        2: iterative MV search (slow)
        3: all (default)
    error resilience:
        0: disabled
        1: careful (should work with broken encoders)
        2: normal (default) (works with compliant encoders)
        3: agressive (more checks but might cause problems even for valid bitstreams)
        4: very agressive
    debug:
        0: disabled
        1: picture info
        2: rate control
        4: bitstream
        8: MB type
        16: QP
        32: Motion vector
        0x0040: Motion vector visualization (use -noslices)
        0x0080: MB skip
        0x0100: startcode
        0x0200: PTS
        0x0400: error resilience
        0x0800: memory management control operations (H264)
        0x1000: bugs
    manually work around encoder bugs:
        0: nothing
        1: autodetect bugs (default)
        2 (msmpeg4v3): some old lavc generated msmpeg4v3 files (no autodetect)
        4 (mpeg4): xvid interlacing bug (autodetected if fourcc==XVIX)
        8 (mpeg4): UMP4 (autodetected if fourcc==UMP4)
        16 (mpeg4): padding bug (autodetected)
        32 (mpeg4): illegal vlc bug (autodetected per fourcc)
        64 (mpeg4): XVID and DIVX qpel bug (autodetected per fourcc/ver)
        128 (mpeg4): old standard qpel (autodetected per fourcc/ver)
        256 (mpeg4): another qpel bug (autodetected per fourcc/ver)
        512 (mpeg4): direct-qpel-blocksize bug (autodetected per fourcc/ver)
        1024 (mpeg4): edge padding bug (autodetected per fourcc/ver)
    (see lavcopts) For best decoding quality use the same idct algorithm for decoding and encoding. This may come at a price in accuracy, though. grayscale only decoding (a bit faster than with color)

-noaspect
    Disable automatic movie aspect ratio compensation.

-noslices
    Disable drawing video by 16-pixel height slices/bands, instead draws the whole frame in a single run. May be faster or slower, depending on card/cache. It has effect only with libmpeg2 and libavcodec codecs.

-nosound
    Do not play/encode sound.

-novideo
    Do not play/encode video.

-oldpp <quality> (OBSOLETE)
    Use the opendivx postprocessing code instead of the internal one. Superseded by -pp, the internal postprocessing offers better quality and performance. The valid range of -oldpp values varies by codec, mostly 0-6, where 0=disable 6=slowest/best.

-pp <quality> (see -vf pp option too!)
    Set postprocess level of the DLL. This option is NO LONGER USABLE with MPlayer's postprocess filter, but only with Win32 DirectShow DLLs which have internal postprocessing routines. The valid range of -pp values varies by codec, mostly 0-6, where 0=disable 6=slowest/best.

-pphelp (see -vf pp option too)
    Show a summary about the available postprocess filters and their usage.

-ssf <mode>
    Specifies SwScaler parameters.

    EXAMPLE:
    -vf scale -ssf lgb=3.0
    Gaussian blur filter (luma) Gaussian blur filter (chroma) sharpen filter (luma) sharpen filter (chroma) chroma horizontal shifting chroma vertical shifting

-stereo <mode>
    Select type of MP2/MP3 stereo output.
    Stereo Left channel Right channel

-sws <software scaler type> (see -vf scale option too)
    This option sets the quality (and speed, respectively) of the software scaler, with the -zoom option. For example with x11 or other outputs which lack hardware acceleration. Possible settings are:
    NOTE: For -sws 2 and 7, the sharpness can be set with the scaling parameter (p) of -vf scale (0 (soft) - 100 (sharp)), for -sws 9, it specifies the filter length (1 - 10).

    fast bilinear (default) bilinear bicubic (good quality) experimental nearest neighbour (bad quality) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of video codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it.
    NOTE: See -vc help for a full list of available codecs.
    If the list has a trailing ',' it will fallback to codecs not listed.

    EXAMPLE:
    force Win32/VFW DivX codec, no fallback try divx4linux codec first, then fallback to others try other codecs except Win32 DivX codecs try libavcodec's MPEG1/2 codec, then libmpeg2, then others

-vfm <driver1,driver2,...>
    Specify a priority list of video codecs to be used, according to their names in codecs.conf. It falls back to default if none is ok.
    NOTE: If libdivxdecore support was compiled in, then odivx and divx4 now contains just the same DivX4 codec, but different APIs to reach it. For difference between them and when to use which, check the DivX4 section in the documentation.
    See -vfm help for a full list of available drivers.

    EXAMPLE:
    try the libavcodec, then Directshow, then VFW codecs and fallback to the others, if still none is ok try XAnim codecs first

-x <x> (MPLAYER only)
    Scale image to x width (if sw/hw scaling available). Disables aspect calculations.

-xvidopts <option1:option2:...>
    Specify additional parameters when decoding with XviD.
    Activate direct rendering method 2. Deactivate direct rendering method 2.

-xy <value>
    Scale image by factor <value>. Set width to value and calculate height to keep correct aspect ratio.

-y <y> (MPLAYER only)
    Scale image to y height (if sw/hw scaling available). Disables aspect calculations.

-zoom
    Allow software scaling, where available. Could be used to force scaling with -vf scale.
    NOTE: -vf scale will IGNORE options -x / -y / -xy / -fs / -aspect without -zoom.

VIDEO FILTERS
Video filter are plugins that allow you to modify the video stream and its properties. The syntax is:

-vf <filter1[=options],filter2,...>
    Setup a chain of video filters.

-vop <...,filter3[=options],filter2,filter1> (OBSOLETE)
    Setup a chain of video filters, to be applied in reverse order. Deprecated in favor of -vf.

The parameters are optional and if omitted, some of them are set to default values. Use '-1' to keep the default value. Parameters w:h means width x height in pixels, x:y means x;y position counted from the upper left corner of the bigger image. To get a full list of available filters, see -vf help.

Available filters are:

crop[=w:h:x:y]
    Crops the given part of the image and discards the rest. Useful to remove black bands from widescreen movies.
    Cropped width and height, defaults to original width and height. Position of the cropped picture, defaults to center.

cropdetect[=0-255]
    Calculates necessary cropping parameters and prints the recommended parameters to stdout. The threshold can be optionally specified from nothing (0) to everything (255). (default: 24)

rectangle[=w:h:x:y]
    The plugin responds to the input.conf directive 'change_rectangle' that takes two parameters.
    width and height (default: -1, maximum possible width where boundaries are still visible. top left corner position (default: -1, uppermost leftmost)

expand[=w:h:x:y:o]
    Expands (not scales) movie resolution to the given value and places the unscaled original at coordinates x, y. Can be used for placing subtitles/OSD in the resulting black bands.
    expanded width,height (default: original width,height). Negative values for w and h are treated as offsets to the original size.

    EXAMPLE:
        expand=0:-50:0:0
            adds a 50 pixel border to the bottom of the picture
    position of original image on the expanded image (default: center) OSD/subtitle rendering
        0: disable (default)
        1: enable

flip
    Flips the image upside down. See also option -flip.

mirror
    Mirrors the image on the Y axis.

rotate[=<0-7>]
    Rotates and flips (optional) the image +/- 90 degrees. For parameters between 4-7 rotation is only done if the movie's geometry is portrait and not landscape.

scale[=w:h[:c[:p]]]
    Scales the image with the software scaler (slow) and performs a YUV<->RGB colorspace conversion (also see -sws option).
    new width/height after scaling (default: original width,height) NOTE: If -zoom is used, and underlying filters (including libvo) are incapable of scaling, then it defaults to d_width/d_height!
         0: scaled d_width/d_height
        -1: original width/height
        -2: Calculate w/h using the other dimension and the prescaled aspect ratio.
        -3: Calculate w/h using the other dimension and the original aspect ratio.
    chroma skipping
        0: use all available input lines for chroma
        1: use only every 2. input line for chroma
        2: use only every 4. input line for chroma
        3: use only every 8. input line for chroma
    scaling parameter (depends upon the scaling method used)
        -sws 2 (bicubic): sharpness (0 (soft) - 100 (sharp))
        -sws 7 (gaussian): sharpness (0 (soft) - 100 (sharp))
        -sws 9 (lanczos): filter length (1-10)

dsize={aspect|w:h}
    Changes the intended display size/aspect at an arbitrary point in the filter chain. Aspect can be given as a fraction (4/3) or floating point number (1.33). Alternatively, you may specify the exact display width and height desired. Note that this filter does NOT do any scaling itself; it just affects what later scalers (software or hardware) will do when auto-scaling to correct aspect.

yuy2
    Forces software YV12/I420 or 422P to YUY2 conversion. Useful for video cards/drivers with slow YV12 but fast YUY2 support.

yvu9
    Forces software YVU9 to YV12 colorspace conversion. Deprecated in favor of the software scaler.

yuvcsp
    Clamps YUV color values to the CCIR 601 range without doing real conversion.

rgb2bgr[=swap]
    RGB 24/32 <-> BGR 24/32 colorspace conversion.
    Also perform R <-> B swapping.

palette
    RGB/BGR 8 -> 15/16/24/32bpp colorspace conversion using palette.

format[=fourcc]
    Restricts the colorspace for the next filter without doing any conversion. Use together with the scale filter for a real conversion. For a list of available formats see format=fmt=help.
    format name like rgb15, bgr24, yv12, etc (default: yuy2)

pp[=filter1[:option1[:option2...]]/[-]filter2...] (see -pphelp too)
    This option enables usage of MPlayer's internal postprocessing filter, and also gives an interface where you can pass options to the named filter. To get a list of available filters, use -pphelp. Note that each sub-filter must be separated with a / sign.
    Each filter defaults to 'c' (chrominance).
    The keywords accept a '-' prefix to disable the option.
    A ':' followed by a letter may be appended to the option to indicate its scope:
    Automatically switches the filter off if the CPU is too slow. Do chrominance filtering, too. Do not do chrominance filtering (only luminance filtering).

    EXAMPLE:
    horizontal and vertical deblocking, deringing and automatic brightness/contrast horizontal and vertical deblocking, deringing, automatic brightness/contrast and linear blend deinterlacer default filters without brightness/contrast correction Enable default filters & temporal denoiser. Deblock horizontal only luminance and switch vertical deblocking on or off automatically depending on available CPU time.

spp[=quality[:qp]]
    simple postprocessing filter
    0-6 force quantization parameter

test
    Generate various test patterns.

lavc[=quality:fps]
    Fast software YV12 to MPEG1 conversion with libavcodec for use with DVB/DXR3. Faster and of better quality than -vf fame.
        1-31: fixed qscale
        32-: fixed bitrate in kBits
    force output fps (float value) (default: 0, autodetect based on height)

fame
    Fast software YV12 to MPEG1 conversion with libfame for use with DVB/DXR3.

dvbscale[=aspect]
    Set up optimal scaling for DVB cards, scaling the X axis in hardware and calculating the Y axis scaling in software to keep aspect. It's only useful together with expand+scale (-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc).
    control aspect ratio, calculate as DVB_HEIGHT*ASPECTRATIO (default: 576*4/3=768), set it to 576*(16/9)=1024 for a 16:9 TV.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Adds noise.
    luma noise chroma noise uniform noise (gaussian otherwise) temporal noise (noise pattern changes between frames) averaged temporal noise (smoother, but a lot slower) high quality (slightly better looking, slightly slower) mix random noise with a (semi)regular pattern

denoise3d[=luma:chroma:time]
    This filter aims to reduce image noise producing smooth images and making still images really still (This should enhance compressibility.). It can be given from 0 to 3 parameters. If you omit a parameter, a reasonable value will be inferred.
    spatial luma strength (default = 4) spatial chroma strength (default = 3) temporal strength (default = 6)

hqdn3d[=luma:chroma:time]
    High precision/quality version of the denoise3d filter. Parameters and usage are the same.

eq[=bright:cont]
    Software equalizer with interactive controls just like the hardware equalizer, for cards/drivers that do not support brightness and contrast controls in hardware. Might also be useful with MEncoder, either for fixing poorly captured movies, or for slightly reducing contrast to mask artifacts and get by with lower bitrates. Initial values in the range -100-100 may be given on the command line.

eq2[=gamma:contrast:brightness:saturation:rg:gg:bg:weight]
    Alternative software equalizer that uses lookup tables (very slow), allowing gamma correction in addition to simple brightness and contrast adjustment. Note that it uses the same MMX optimized code as -vf eq if all gamma values are 1.0. The parameters are given as floating point values. Parameters rg, gg, bg are the independent gamma values for the Red, Green and Blue components. The weight parameter can be used to reduce the effect of a high gamma value on bright image areas, e.g. keep them from getting overamplified and just plain white. A value of 0.0 turns the gamma correction all the way down while 1.0 leaves it at its full strength. Defaults are gamma=1.0, contrast=1.0, brightness=0.0, saturation=1.0, weight=1.0. Value ranges are 0.1-10 for gamma, -2-2 for contrast (negative values result in a negative image), -1-1 for brightness, 0-3 for saturation and 0-1 for weight.

hue[=hue:saturation]
    Defaults are hue=0.0, saturation=1.0. Value ranges are -180-180 for hue, -2-2 for saturation (negative values result in a negative chroma).

halfpack[=f]
    Convert planar YUV 4:2:0 to half-height packed 4:2:2, downsampling luma but keeping all chroma samples. Useful for output to low-resolution display devices when hardware downscaling is poor quality or is not available. Can also be used as a primitive luma-only deinterlacer with very low cpu usage. By default, halfpack averages pairs of lines when downsampling. The optional parameter f can be 0 to only use even lines, or 1 to only use odd lines. Any other value for f gives the default (averaging) behavior.

ilpack
    When interlaced video is stored in YUV 4:2:0 formats, chroma interlacing does not line up properly due to vertical downsampling of the chroma channels. This filter packs the planar 4:2:0 data into YUY2 (4:2:2) format with the chroma lines in their proper locations, so that in any given scanline, the luma and chroma data both come from the same field.

decimate[=max:hi:lo:frac]
    Drops frames that don't differ greatly from the previous frame in order to reduce framerate. The argument max (if positive) sets the maximum number of consecutive frames which can be dropped, or (if negative) the minimum interval between dropped frames. A frame is a candidate for dropping if no 8x8 region differs by more than a threshold of hi, and if not more than frac portion (1 meaning the whole image) differs by more than a threshold of lo. Values of hi and lo are for 8x8 pixel blocks and represent actual pixel value differences, so a threshold of 64 corresponds to 1 unit of difference for each pixel, or the same spread out differently over the block. The main use of this filter is for very-low-bitrate encoding (e.g. streaming over dialup modem), but it could in theory be used for fixing movies that were inverse-telecined incorrectly.

dint[=sense:level]
    Detects and drops first of interlaced frames in video stream. Values can be from 0.0 to 1.0 - first (default 0.1) is relative difference between neighbor pixels, second (default 0.15) is what part of image have to be detected as interlaced to drop the frame.

lavcdeint
    Use libavcodec's deinterlace filter.

unsharp=l|cWxH:amount[:l|cWxH:amount]
    Unsharp mask / gaussian blur.
    Apply effect on luma component. Apply effect on chroma components. width and height of the matrix, odd sized in both directions (min = 3x3, max = 13x11 or 11x13, usually something between 3x3 and 7x7) Relative amount of sharpness/blur to add to the image (a sane range should be -1.5-1.5).
        <0: blur
        >0: sharpen

swapuv
    Swap U & V plane.

il=[d|i][s][:[d|i][s]]
    (de)interleaves lines. The goal of this filter is to add the ability to process interlaced images pre-field without deinterlacing them. You can filter your interlaced DVD and play it on a TV without breaking the interlacing. While deinterlacing (with the postprocessing filter) removes interlacing permanently (by smoothing, averaging, etc) deinterleaving splits the frame into 2 fields (so called half pictures), so you can process (filter) them independently and then re-interleave them.
    deinterleave (placing one above the other) interleave swap fields (exchange even & odd lines)

fil=[i|d]
    (de)interleaves lines. This filter is very similar to the il filter but much faster, the main disadvantage is that it doesn't always work. Especially if combined with other filters it may produce randomly messed up images, so be happy if it works but don't complain if it doesn't for your combination of filters.
    Deinterleave fields, placing them side by side. Interleave fields again (reversing the effect of fil=d).

field[=n]
    Extracts a single field from an interlaced image using stride arithmetic to avoid wasting CPU time. The optional argument n specifies whether to extract the even or the odd field (depending on whether n is even or odd).

detc[=var1=value2:var2=value2:...]
    Attempts to reverse the 'telecine' process to recover a clean, non-interlaced stream at film framerate. This filter is still experimental but seems to be usable. Please be aware that there is absolutely no use in this filter unless you see interlacing when playing the movie! The following arguments (see syntax above) may be used to control its behavior:
    Set the frame dropping mode. 0 (default) means don't drop frames to maintain fixed output framerate. 1 means always drop a frame when there have been no drops or telecine merges in the past 5 frames. 2 means always maintain exact 5:4 input to output frame ratio. NOTE: Use mode 1 with MEncoder. Analysis mode. Available values are 0 (fixed pattern with initial frame number specified by fr=#) and 1 (agressive search for telecine pattern). Default is 1. Set initial frame number in sequence. 0-2 are the three clean progressive frames; 3 and 4 are the two interlaced frames. The default, -1, means 'not in telecine sequence'. The number specified here is the type for the imaginary previous frame before the movie starts. Threshold values to be used in certain modes.

ivtc[=1]
    Experimental 'stateless' inverse telecine filter. Rather than trying to lock on to a pattern like the detc filter does, ivtc makes its decisions independently for each frame. This will give much better results for material that has undergone heavy editing after telecine was applied, but as a result it is not as forgiving of noisy input, for example TV capture. The optional parameter (ivtc=1) corresponds to the dr=1 option for the detc filter, and should be used with MEncoder but not with MPlayer. As with detc, you must specify the correct output framerate (-ofps 23.976) when using MEncoder.

pullup
    Third-generation pulldown reversal (inverse telecine) filter, capable of handling mixed hard-telecine, 24 fps progressive, and 30 fps progressive content. The pullup filter is designed to be much more robust than detc or ivtc, but it is still under development. No configuration options are available yet. As the underlying pulldown reversal engine is designed to take advantage of the new features in MPlayer G2, the current implementation in G1 is meant to serve mainly as a testbed. NOTE: Presently pullup lacks any way to cap the output framerate, so during 30 fps progressive sequences or stills, it will output more than 24 fps, meaning you'll have trouble if you use it with mencoder -ofps 23.976.

filmdint[=options]
    Inverse telecine filter, similar to the pullup filter above. It is designed to handle any pulldown pattern, including mixed soft and hard telecine and limited support for movies that are slowed down or sped up from their original framerate for TV. Only the luma plane is used to find the frame breaks. If a field has no match, it is deinterlaced with simple linear approximation. If the source is MPEG-2, libmpeg2 must be used for decoding (not ffmpeg2!), and this must be the first filter to allow access to the field-flags set by the MPEG-2 decoder. Depending on the source mpeg, you may be fine ignoring this advice, as long as you do not see lots of "Bottom-first field" warnings. With no options it does normal inverse telecine, and should be used together with mencoder -fps 29.97 -ofps 23.976. When this filter is used with mplayer, it will result in an uneven framerate during playback, but it is still generally better than using pp=lb or no deinterlacing at all. Multiple options can be specified separated by /.
    Just like the crop filter, but faster, and works on mixed hard and soft telecined content as well as when y is not a multiple of 4. If x or y would require cropping fractional pixels from the chroma planes, the crop area is extended. This usually means that x and y must be even. For each ifps input frames the filter will output ofps frames. The ratio of ifps/ofps should match the -fps/-ofps ratio. This could be used to filter movies that are broadcast on TV at a frame rate different from their original frame rate. If n is nonzero, the chroma plane is copied unchanged. This is useful for YV12 sampled TV, which discards one of the chroma fields. On x86, if n=1, use MMX2 optimized functions, if n=2, use 3DNow! optimized functions, othewise, use plain C. If this option is not specified, MMX2 and 3DNow! are auto-detected, use this option to override auto-detection. The larger n will speed up the filter at the expense of accuracy. The default value is n=3. If n is odd, a frame immediately following a frame marked with the REPEAT_FIRST_FIELD mpeg flag is assumed to be progressive, thus filter will not spend any time on soft-telecined MPEG-2 content. This is the only effect of this flag if MMX2 or 3DNow! is available. Without MMX2 and 3DNow, if n=0 or 1, the same calculations will be used as with MMX2. If n=2 or 3, the number of luma levels used to find the frame breaks is reduced from 256 to 128, which results in a faster filter without losing much accuracy. If n=4 or 5, a faster, but much less accurate metrics will be used to find the frame breaks, which is more likely to misdetect high vertical detail as interlaced content. If n is nonzero, print the detailed metrics for each frame. Useful for debugging. Deinterlace threshold. Used during de-interlacing of unmatched frames. Larger value means less deinterlacing, use n=256 to completely turn off deinterlacing. Default is n=8. Threshold for comparing a top and bottom fields. Defaults to 128. Threshold to detect temporal change of a field. Default is 128. Sum of Absolute Difference threshold, default is 64.

softpulldown
    This filter works only correct with MEncoder and acts on the MPEG2 flags used for soft 3:2 pulldown (soft telecine). If you want to use the ivtc or detc filter on movies that are partly soft telecined, inserting this filter before them should make them more reliable. Currently only libmpeg2 exports the needed flags. If used on material that does not set them or if using ffmpeg12, the filter does nothing.

telecine[=start]
    Apply 3:2 'telecine' process to increase framerate by 20%. This most likely will not work correctly with MPlayer, but it can be used with 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Both fps options are essential! (A/V sync will break if they are wrong.) The optional start parameter tells the filter where in the telecine pattern to start (0-3).

tinterlace[=mode]
    Temporal field interlacing - merge pairs of frames into an interlaced frame, halving the framerate. Even frames are moved into the upper field, odd frames to the lower field. This can be used to fully reverse the effect of the tfields filter (in mode 0). Available modes are:
    odd frames into upper field, even to lower, generating a full-height frame at half the framerate only output odd frames, even frames are dropped, height unchanged only output even frames, odd frames are dropped, height unchanged expand each frame to full height, but pad alternate lines with black, framerate unchanged

tfields[=mode]
    Temporal field separation - split fields into frames, doubling the output framerate. Like the telecine filter, tfields will only work properly with MEncoder, and only if both -fps and -ofps are set to the desired (double) framerate! Available modes are:
    leave fields unchanged (this will jump/flicker) interpolate missing lines (the algorithm used might not be so good) translate fields by 1/4 pixel with linear interp (no jump) translate fields by 1/4 pixel with 4tap filter (higher quality)

boxblur=radius:power[:radius:power]
    box blur
    size of the filter How often the filter should be applied.

sab=rad:pf:colorDiff[:rad:pf:colorDiff]
    shape adaptive blur
    blur filter strength (~0.1-4.0) (slower if larger) prefilter strength (~0.1-2.0) How different the pixels are allowed to be considered. (~0.1-100.0)

smartblur=rad:strength:thresh[:rad:strength:thresh]
    smart blur
    blur filter strength (~0.1-5.0) (slower if larger) blur (0.0-1.0) or sharpen (-1.0-0.0) filter all (0), filter flat areas (0-30) or filter edges (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    perspective correction
    coordinates of the top left, top right, bottom left, bottom right corners linear (0) or cubic resampling (1)

2xsai
    Use the 2x scale and interpolate algorithm for scaling and smoothing images.

1bpp
    1bpp bitmap to YUV/BGR 8/15/16/32 conversion

down3dright[=lines]
    Reposition and resize stereoscopic images. Extracts both stereo fields and places them side by side, resizing them to maintain the original movie aspect.
    number of lines to select from the middle of the image (default: 12)

bmovl=hidden:opaque:<fifo>
    Read bitmaps from a FIFO and display them in a window.
    sets the default value of the 'hidden' flag (boolean) flag switching between alphablended (transparent) and opaque (fast) mode path/filename for the FIFO (named pipe connecting mplayer -vf bmovl to the controlling application)

    FIFO commands are:
    followed by width*height*4 Bytes of raw RGBA32 data. followed by width*height*4 Bytes of raw ABGR32 data. followed by width*height*3 Bytes of raw RGB32 data. followed by width*height*3 Bytes of raw BGR32 data. change alpha for area clear area disable all alpha transparency. Send "ALPHA 0 0 0 0 0" to enable it again. hide bitmap show bitmap

    Arguments are:
    size of image/area start blitting at X/Y position set alpha difference. If you set this to -255 you can then send a sequence of ALPHA-commands to set the area to -225, -200, -175 etc for a nice fade-in-effect! ;)
        0: same as original
        255: makes everything opaque
        -255: makes everything transparent
    clear the framebuffer before blitting.
        0: The image will just be blitted on top of the old one, so you don't need to send 1,8MB of RGBA32 data everytime a small part of the screen is updated.
        1: clear

framestep=I|[i]step
    Renders only every nth frame or every Intra (key) frame.

    If you call the filter with I (uppercase) as the parameter, then ONLY keyframes are rendered. For DVDs it generally means one in every 15/12 frames (IBBPBBPBBPBBPBB), for AVI it means every scene change or every keyint value (see -lavcopts keyint= value if you use MEncoder to encode the video).

    When a key frame is found, an 'I!' string followed by a newline character is printed, leaving the current line of mplayer/mencoder output on the screen, because it contains the time (in seconds) and frame number of the keyframe (You can use this information to split the AVI.).

    If you call the filter with a numeric parameter 'step' then only one in every 'step' frames is rendered.

    If you put an 'i' (lowercase) before the number then an I! is printed (like the I parameter).

    If you give only the i then nothing is done to the frames, only I! is printed.

tile=xtile:ytile:output:start:delta
    Tile a series of images into a single, bigger image. If you omit a parameter or use a value less than 0, then the default value is used. You can also stop when you're OK (... -vf tile=10:5 ...) It is probably a good idea to put the scale filter before the tile :-)
    The parameters are:

    number of tiles on the x axis (default: 5) number of tiles on the y axis (default: 5) Render the tile when 'output' number of frames are reached, where 'output' should be a number less than xtile * ytile. Missing tiles are left blank. You could, for example, write an 8 * 7 tile every 50 frames to have one image every 2 seconds @ 25 fps. pixel at the start (x/y) (default: 2) pixel between 2 tiles, (x/y) (default: 4)

delogo[=x:y:w:h:t]
    Suppresses a TV station logo by a simple interpolation of the surrounding pixels. Just set a rectangle covering the logo and watch it disappear (and sometimes something even uglier appear - your mileage may vary).
    Position of the top left corner of the logo. Width and height of the cleared rectangle. Thickness of the fuzzy edge of the rectangle (added to w and h). When set to -1, a green rectangle is drawn on the screen to simplify finding the right x,y,w,h parameters.

GENERAL ENCODING OPTIONS (MENCODER ONLY)

-audio-delay <0.0-...>
    Sets the audio delay field in the header. Default is 0.0, negative values do not work. This does not delay the audio while encoding, but the player will see the default audio delay, sparing you the use of the -delay option.

-audio-density <1-50>
    Number of audio chunks per second (default is 2 for 0.5s long audio chunks).
    NOTE: CBR only, VBR ignores this as it puts each packet in a new chunk.

-audio-preload <0.0-2.0>
    Sets up audio buffering time interval (default: 0.5s).

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (see -ss and -sb option too)
    Stop encoding at given time or byte position. Can be specified in many ways:
    NOTE: Byte position won't be accurate, as it can only stop at a frame boundary.

    EXAMPLE:
    encode only 56 seconds encode only 1 hour 10 minutes encode only 100 MBytes

-ffourcc <fourcc>
    Can be used to override the video fourcc of the output file.

    EXAMPLE:
    will have the output file contain 'div3' as video fourcc.

-include <configuration file>
    Specify configuration file to be parsed after the default ones.

-info <option1:option2:...> (AVI only)
    Specify the info header of the resulting AVI file.
    Available options are:
    show this description title of the subject of the file artist or author of the original subject of the file original work category contents of the file copyright information for the file original form of the material that was digitized general comments about the file or the subject of the file

-noautoexpand
    Do not automatically insert the expand filter into the MEncoder filter chain. Useful to control at which point of the filter chain subtitles are rendered when hardcoding subtitles onto a movie.

-noskip
    Do not skip frames.

-o <filename>
    Outputs to the given filename, instead of the default 'test.avi'.

-oac <codec name>
    Encode with the given audio codec. Use -oac help to get a list of available codecs. (no default set)

    EXAMPLE:
    no encoding, just streamcopy encode to uncompressed PCM encode to MP3 (using Lame) encode with a libavcodec codec

-of <format> (BETA CODE!)
    Encode to the specified format. Use -of help to get a list of available formats.

    EXAMPLE:
    encode to avi (default) encode to mpeg

-ofps <fps>
    The output file will have different frame/sec than the source. You MUST set it for variable fps (asf, some mov) and progressive (29.97fps telecined mpeg) files.

-ovc <codec name>
    Encode with the given video codec. Use -ovc help to get a list of available codecs. (no default set)

    EXAMPLE:
    no encoding, just streamcopy encode to DivX4/DivX5 encode to uncompressed RGB24 encode to uncompressed YUV (I420) encode with a libavcodec codecs

-passlogfile <filename>
    When encoding in 2pass mode, MEncoder dumps first pass' informations to the given file instead of the default divx2pass.log.

-skiplimit <value>
    Maximum skippable frames after non-skipped one (-noskiplimit for unlimited number).

-v, -verbose
    Increment verbose level (more -v means more verbosity).
    only some informal output (default) some basic debug infos, avi header, function values (init debug) print avi indexes, chunk inputs, more debug infos (player debug) prints everything related to input parsers (parser debug)

-vobsubout <basename>
    Specify the basename for the output .idx and .sub files. This turns off subtitle rendering in the encoded movie and diverts it to Vobsub subtitle files.

-vobsuboutid <langid>
    Specify the language two letter code for the subtitles. This overrides what is read from the DVD or the .ifo file.

-vobsuboutindex <index>
    Specify the index of the subtitles in the output files. (default: 0)

CODEC SPECIFIC ENCODING OPTIONS (MENCODER ONLY)
You can specify codec specific encoding parameters using the following syntax:

-<codec>opts <option1[=value],option2,...>

Where <codec> may be: lavc, xvidenc, divx4, lame

  divx4 (-divx4opts)
divx4 is obsolete and only supported for completeness. For details about divx4 options, read the source, most options are not described here.

help
    get help

br=<value>
    specify bitrate
    (in kbit) (in bit)

key=<value>
    maximum keyframe interval (in frames)

deinterlace
    enable deinterlacing (avoid it, DivX4 is buggy)

q=<1-5>
    quality (1-fastest, 5-best)

min_quant=<1-31>
    minimum quantizer

max_quant=<1-31>
    maximum quantizer

rc_period=<value>
    rate control period

rc_reaction_period=<value>
    rate control reaction period

rc_reaction_ratio=<value>
    rate control reaction ratio

crispness=<0-100>
    specify crispness/smoothness

pass=<1-2>
    With this you can encode 2pass DivX4 files. First encode with pass=1, then with the same parameters, encode with pass=2.

vbrpass=<0-2>
    Override the pass argument and use XviD VBR Library instead of DivX4 VBR. Available options are:
    one pass encoding (as in not putting pass on the command line) Analysis (first) pass of two pass encoding. The resulting AVI file can be directed to /dev/null. Final (second) pass of two pass encoding.

  lame (-lameopts)

help
    get help

vbr=<0-4>
    variable bitrate method
    cbr mt rh (default) abr mtrh

abr average bitrate

cbr constant bitrate.
    Forces also CBR mode encoding on subsequent ABR presets modes

br=<0-1024>
    specify bitrate in kBit (CBR and ABR only)

q=<0-9>
    quality (0-highest, 9-lowest) (only for VBR)

aq=<0-9>
    algorithmic quality (0-best/slowest, 9-worst/fastest)

ratio=<1-100>
    compression ratio

vol=<0-10>
    set audio input gain

mode=<0-3>
    (default: auto)
    stereo joint-stereo dualchannel mono

padding=<0-2>
    no all adjust

fast
    switch on faster encoding on subsequent VBR presets modes, slightly lower quality and higher bitrates.

preset=<value>
    preset values
    VBR encoding, good quality, 150-180 kbps bitrate range. VBR encoding, high quality, 170-210 kbps bitrate range. VBR encoding, very high quality, 200-240 kbps bitrate range. CBR encoding, highest preset quality, 320 kbps bitrate. ABR encoding at average given kbps bitrate.

    EXAMPLE:
    for most people on most music and already quite high in quality. encode with ABR presets at a 192 kbps forced constant bitrate. encode with ABR presets at a 172 kbps average bitrate. for people with extremely good hearing and similar equipment. print additional options and informations on presets settings.

  lavc (-lavcopts)
Many lavc options are very specialized and tersely documented. Read the source for full details.

EXAMPLE:

acodec=<value>
    Audio codec (default: mp2):
    MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bits per sample, 4:1 compression)

abitrate=<value>
    Audio bitrate in kBit (default 224).

atag=<value>
    Use the specified Windows audio format tag (e.g. atag=0x55).

vcodec=<value>
    use the specified codec (default: mpeg4):
    Motion JPEG Lossless JPEG H263 H263 Plus DivX 4/5 DivX 3 MS MPEG4v2 Windows Media Video, version 1 (aka WMV7) Windows Media Video, version 2 (aka WMV8) an old RealVideo codec MPEG1 video MPEG2 video HuffYUV ASUS Video v1 ASUS Video v2 FFmpeg's lossless video codec

vqmin=<1-31>
    minimum quantizer (pass 1/2)
    Not recommended (much larger file, little quality difference and weird side effects: msmpeg4, h263 will be very low quality, ratecontrol will be confused resulting in lower quality and some decoders will not be able to decode it). Recommended for normal mpeg4/mpeg1video encoding (default). Recommended for h263(p)/msmpeg4. The reason for preferring 3 over 2 is that 2 could lead to overflows (this will be fixed for h263(p) by changing the quantizer per MB in the future, msmpeg4 cannot be fixed as it does not support that).

lmin=<0.01-255.0>
    Minimum lagrange multiplier for ratecontrol, you probably want it to be equal to or lower than vqmin. (default: 2.0)

lmax=<0.01-255.0>
    Maximum lagrange multiplier for ratecontrol. (default: 31.0)

vqscale=<1-31>
    Constant quantizer / constant quality encoding (selects fixed quantizer mode). A lower value means better quality but larger files (default: 0 (disabled)). 1 is not recommended (see -vqmin for details).

vqmax=<1-31>
    maximum quantizer (pass 1/2) 10-31 should be a sane range (default: 31)

mbqmin=<1-31>
    minimum macroblock quantizer (pass 1/2) (default: 2)

mbqmax=<1-31>
    maximum macroblock quantizer (pass 1/2) (default: 31)

vqdiff=<1-31>
    maximum quantizer difference between I or P frames (pass 1/2) (default: 3)

vmax_b_frames=<0-4>
    maximum number of B frames between non B frames:
    no B frames (default) sane range for MPEG4

vme=<0-5>
    motion estimation method. NOTE: 0-3 currently ignores the amount of Bits spent, so quality may be low. Available methods are:
    none (very low quality) full (slow) log (low quality) phods (low quality) EPZS (default) X1 (experimental)

me_range=<0-9999>
    motion estimation search range, 0 (default) means unlimited

mbd=<0-2>
    Macroblock decision algorithm (high quality mode), encode each macro block in all modes and choose the best. This is slow but results in better quality and file size.
    use mbcmp (default) select the MB mode which needs the fewest bits (=vhq) select the MB mode which has the best rate distortion

vhq Same as mbd=1, kept for compatibility reasons.

v4mv
    Allow 4 motion vectors per macroblock (slightly better quality). (default: disabled)

keyint=<0-300>
    maximum interval between keyframes in frames. Keyframes are needed for seeking as seeking is only possible to a keyframe but keyframes need more space than other frames so larger numbers here mean slightly smaller files, but less precise seeking, 0 means no key frames. Values >300 are not recommended as the quality might be bad depending upon decoder, encoder and luck. For a strict MPEG1/2/4 compliance this would have to be <=132. (default: 250 or one key frame every ten seconds in a 25fps movie)

vb_strategy=<0-1>
    strategy to choose between I/P/B frames (pass 2):
    always use the maximum number of B frames (default) avoid B frames in high motion scenes (will cause bitrate misprediction)

vpass=<1-2>
    Activates internal two pass mode, only specify if you wish to use two pass encoding (default: disabled).
    first pass second pass

    huffyuv:
    saves statistics encodes with an optimal Huffman table based upon pass 1 statistics.

aspect=<x/y>
    Store movie aspect internally, just like MPEG files. Much nicer solution than rescaling, because quality isn't decreased. Only MPlayer will play these files correctly, other players will display them with wrong aspect. The aspect parameter can be given as a ratio or a floating point number.

    EXAMPLE:

autoaspect
    Same as the aspect option, but automatically computes aspect, taking into account all the adjustments (crop/expand/scale/etc.) made in the filter chain.

vbitrate=<value>
    specify bitrate (pass 1/2). Warning: 1kBit = 1000 Bits.
    (in kbit) (in bit) default

vratetol=<value>
    approximated filesize tolerance in kBit. 1000-100000 is a sane range. (warning: 1kBit = 1000 Bits) (default: 8000)

vrc_maxrate=<value>
    maximum bitrate in kbit/sec (pass 1/2)

vrc_minrate=<value>
    minimum bitrate in kbit/sec (pass 1/2)

vrc_buf_size=<value>
    buffer size in kbit (pass 1/2). For MPEG1/2 this also sets the vbv buffer size, use 327 for VCD, 917 for SVCD and 1835 for DVD. NOTE: vratetol should not be too large during the second pass or there might be problems if vrc_(min|max)rate is used.

vrc_buf_aggressivity
    currently useless

vrc_strategy
    Dummy, reserved for future use.

vb_qfactor=<-31.0-31.0>
    quantizer factor between B and non B frames (pass 1/2) (default: 1.25)

vi_qfactor=<-31.0-31.0>
    (pass 1/2) (default: 0.8)

vb_qoffset=<-31.0-31.0>
    quantizer offset between B and non B frames (pass 1/2) (default: 1.25)

vi_qoffset=<-31.0-31.0>
    (pass 1/2) (default: 0.0)
    if v{b|i}_qfactor > 0
    I/B-Frame quantizer = P-Frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
    else
    do normal ratecontrol (dont lock to next P frame quantizer) and set q= -q * v{b|i}_qfactor + v{b|i}_qoffset

    Tip: To do constant quantizer encoding with different quantizers for I/P and B frames you can use: vqmin= <ip_quant>:vqmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>

vqblur=<0.0-1.0> (pass 1)
    Quantizer blur, larger values will average the quantizer more over time (slower change).
    qblur disabled (default) average the quantizer over all previous frames

vqblur=<0.0-99.0> (pass 2)
    Quantizer gaussian blur, larger values will average the quantizer more over time (slower change) (default: 0.5).

vqcomp=<value>
    quantizer compression, depends upon vrc_eq (pass 1/2) (default: 0.5)

vrc_eq=<equation>
    main ratecontrol equation (pass 1/2):
    constant bitrate constant quality approximately the equation of the old ratecontrol code with qcomp 0.5 or something like that (default)

    infix operators: +,-,*,/,^

    variables:
    texture complexity intra, non intra texture complexity average texture complexity average intra texture complexity in I frames average intra texture complexity in P frames average non intra texture complexity in P frames average non intra texture complexity in B frames Bits used for motion vectors maximum length of motion vector in log2 scale number of intra macro blocks / number of macro blocks spatial complexity temporal complexity qcomp from the command line is 1 if picture type is I/P/B else 0 see your favorite math book

    functions:
    maximum / minimum is 1 if a>b, 0 otherwise is 1 if a<b, 0 otherwise is 1 if a==b, 0 otherwise

vrc_override=<options>
    User specified quality for specific parts (ending, credits, ..) (pass 1/2). The options are <start-frame>, <end-frame>, <quality>[/<start-frame>, <end-frame>, <quality>[/...]]:
    quantizer quality correction in %

vrc_init_cplx=<0-1000>
    initial complexity (pass 1)

vqsquish=<0,1>
    specify how to keep the quantizer between qmin and qmax (pass 1/2):
    use clipping use a nice differentiable function (default)

vlelim=<-1000-1000>
    single coefficient elimination threshold for luminance. Negative values will also consider the dc coefficient (should be at least -4 or lower for encoding at quant=1):
    disabled (default) (JVT recommendation)

vcelim=<-1000-1000>
    single coefficient elimination threshold for chrominance. Negative values will also consider the dc coefficient (should be at least -4 or lower for encoding at quant=1):
    disabled (default) (JVT recommendation)
vstrict=<-1,0,1>
    strict standard compliance
    disabled (default) only recommended if you want to feed the output into the mpeg4 reference decoder allows non-standard YV12 huffyuv encoding (20% smaller files, but cannot be played by the official huffyuv codec)

vdpart
    data partitioning. Adds 2 Bytes per video packet, improves error-resistance when transferring over unreliable channels (eg. streaming over the internet) Each video packet will be encoded in 3 separate partitions:
    (movement) (low res picture) (details)

    MV & DC are most important, loosing them looks far worse than loosing the AC and the 1. & 2. partition. (MV&DC) are far smaller than the 3. partition (AC) meaning that errors will hit the AC partition much more often than the MV&DC partitions. Thus, the picture will look better with partitioning than without, as without partitioning an error will trash AC/DC/MV equally.

vpsize=<0-10000>
    video packet size, improves error-resistance (see -vdpart option too):
    disabled (default) good choice

gray
    grayscale only encoding (faster) (default: disabled)

vfdct=<0-10>
    dct algorithm:
    automatically select a good one (default) fast integer accurate integer mmx mlib altivec floating point AAN

idct=<0-99>
    idct algorithm. NOTE: To the best of our knowledge all these IDCTs do pass the IEEE1180 tests.
    automatically select a good one (default) jpeg reference integer simple simplemmx libmpeg2mmx (inaccurate, DON'T USE for encoding with keyint >100) ps2 mlib arm altivec sh4

lumi_mask=<0.0-1.0>
    luminance masking. Warning: Be careful, too large values can cause disastrous things. Warning2: Large values might look good on some monitors but may look horrible on other monitors:
    disabled (default) sane range

dark_mask=<0.0-1.0>
    darkness masking. Warning: be careful, too large values can cause disasterous things. Warning2: large values might look good on some monitors but may look horrible on other monitors / TV / TFT:
    disabled (default) sane range

tcplx_mask=<0.0-1.0>
    temporal complexity masking (default: 0.0 (disabled))

scplx_mask=<0.0-1.0>
    spatial complexity masking. Larger values help against blockiness, if no deblocking filter is used for decoding. Tip: Crop any black borders completely as they will reduce the quality of the macro blocks (also applies without scplx_mask).
    disabled (default) sane range

p_mask=<0.0-1.0>
    inter MB masking (default: 0.0 (disabled))

naq Normalize adaptive quantization (experimental). When using adaptive quantization (*_mask), the average per-MB quantizer may no longer match the requested frame-level quantizer. Naq will attempt to adjust the per-MB quantizers to maintain the proper average.

ildct
    use interlaced dct

format=<value>
    default for ffv1 for huffyuv, lossless jpeg and ffv1 for lossless jpeg and ffv1 for lossless jpeg and ffv1

pred
    (for huffyuv)
    left prediction plane/gradient prediction median prediction

pred
    (for lossless jpeg)
    left prediction top prediction topleft prediction plane/gradient prediction mean prediction

coder
    (for ffv1)
    vlc coding (golomb rice) arithmetic coding (cabac)

context
    (for ffv1)
    small context model large context model

qpel
    use quarter pel motion compensation Tip: This seems only useful for high bitrate encodings.

precmp=<0-2000>
    comparison function for motion estimation pre pass

cmp=<0-2000>
    comparison function for full pel motion estimation

subcmp=<0-2000>
    comparison function for sub pel motion estimation

mbcmp=<0-2000>
    comparison function for the macroblock decision, only used if mbd=0
    sum of absolute differences, fast (default) sum of squared errors sum of absolute hadamard transformed differences sum of absolute dct transformed differences sum of the squared quantization errors (don't use, low quality) number of bits needed for the block rate distortion optimal, slow 0 use chroma too, doesn't work (correctly) with B frames currently

predia=<-99-6>
    Diamond type and size for motion estimation pre pass

dia=<-99-6>
    Diamond type & size for motion estimation. NOTE: The sizes of the normal diamonds and shape adaptive ones don't have the same meaning.
    shape adaptive (fast) diamond with size 3 shape adaptive (fast) diamond with size 2 experimental normal size=1 diamond (default) =EPZS type diamond
          0
         000
          0
    normal size=2 diamond
          0
         000
        00000
         000
          0

trell
    Trellis searched quantization. This will find the optimal encoding for each 8x8 block. Trellis searched quantization is quite simple a optimal quantization in the PSNR vs bitrate sense (assuming that there would be no rounding errors introduced by the IDCT, which is obviously not the case) it simply finds a block for the minimum of error and lambda*bits.
    qp dependant constant amount of bits needed to encode the block sum of squared errors of the quantization

cbp Rate distorted optimal coded block pattern will select the coded block pattern which minimizes distortion + lambda*rate this can only be used together with trellis quantization

mv0 try to encode each MB with MV=<0,0> and choose the better one this has no effect if mbd=0

qprd
    rate distorted optimal QP for the given lambda of each macroblock

last_pred=<0-99>
    Amount of motion predictors from the previous frame
    (default) will use 2a+1 x 2a+1 macro block square of motion vector predictors from the previous frame

preme=<0-2>
    motion estimation pre-pass
    disabled only after I frames (default) always

subq=<1-8>
    subpel refinement quality (for qpel) (default: 8). NOTE: This has a significant effect on speed.

psnr
    print the psnr (peak signal to noise ratio) for the whole video after encoding and store the per frame psnr in a file with a name like 'psnr_hhmmss.log'. Returned values are in dB (decibel), the higher the better.

mpeg_quant
    use MPEG quantizers instead of H.263. (default: disabled) (i.e. use H.263 quantizers)

aic ac prediction (=advanced intra prediction for H.263+) NOTE: vqmin should be 8 or larger for AIC H263+.

umv unlimited MVs (H.263+ only) Allow encoding of abritarily long MVs.

ibias=<-256-256>
    intra quantizer bias (256 == 1.0)
    mpeg style quantizer default: 96
    h263 style quantizer default: 0
    NOTE: The h263 MMX quantizer cannot handle positive biases (set vfdct=1or2), the mpeg MMX quantizer cannot handle negative biases (set vfdct=1or2).

pbias=<-256-256>
    inter quantizer bias (256 == 1.0)
    mpeg style quantizer default: 0
    h263 style quantizer default: -64
    NOTE: The h263 MMX quantizer cannot handle positive biases (set vfdct=1or2), the mpeg MMX quantizer cannot handle negative biases (set vfdct=1or2).
    Tip: a more positive bias (-32 - -16 instead of -64) seems to improve the PSNR

nr=<0-100000>
    noise reduction, 0 is disabled

inter_matrix=<comma separated matrix>
    Use custom inter matrix. It needs a comma separated string of 64 integers.

intra_matrix=<comma separated matrix>
    Use custom intra matrix. It needs a comma separated string of 64 integers.

vqmod_amp
    experimental quantizer modulation

vqmod_freq
    experimental quantizer modulation

  nuv (-nuvopts)
Nuppel video is based on rtjpeg and lzo. By default frames are first encoded with rtjpeg and then compressed with lzo. But both passes can be enabled or not. So you can in fact output raw i420, lzo compressed i420, rtjpeg, or the default lzo compressed rtjpeg.
NOTE: The nuvrec documentation contains some advice and examples about the settings to use for the most common TV encodings.

c=<0-20>
    chrominance threshold

l=<0-20>
    luminance threshold

nolzo
    Disable the lzo compression.

q=<3-255>
    Set the quality level.

raw Disable rtjpeg encoding.

rtjpeg
    Enable rtjpeg encoding.

  xvidenc (-xvidencopts)
There are three modes available: constant bitrate (CBR), fixed quantizer and 2pass.

pass=<1|2>
    specify the pass in 2pass mode

bitrate=<value>
    sets the bitrate to be used in kbits/second if <16000 or in bits/second if >16000 (CBR or 2pass mode, default=687 kbits/s)

fixed_quant=<1-31>
    switch to fixed quantizer mode and specify the quantizer to be used

me_quality=<0-6>
    specify the motion detection quality (default=6)

interlacing
    enable support for interlaced content (default=off)

4mv use 4 motion vectors per macro-block, might give better compression at the cost of a slower encoding (default=off)

rc_reaction_delay_factor=<value>
    specify how fast the rate control reacts, lower values are faster

rc_averaging_period=<value>
    period to reach the required average

rc_buffer=<value>
    size of the rate control buffer

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    min & max quantizer for all frames (default=2-31, CBR mode)
    min & max quantizer for I/P frames (default=2-31/2-31, 2pass mode)

min_key_interval=<value>
    minimum interval between key frames (default=0, 2pass only)

max_key_interval=<value>
    maximum interval between key frames (default=10*fps)

mpeg_quant
    use MPEG quantizers instead of H.263 (default=off)

mod_quant
    decide whether to use MPEG or H.263 quantizers on a frame-by-frame basis. (default=off, 2pass mode only)

greyscale
    encode in black & white (default=off)

debug
    Save per-frame statistics in xvid.dbg (default=off). This is NOT the 2pass control file.

keyframe_boost=<0-1000>
    (default=0, 2pass mode only)

kfthreshold=<value>
    (default=10, 2pass mode only)

kfreduction=<0-100>
    (default=30, 2pass mode only)

The following options are only available with the unstable (cvs -HEAD) version of XviD. Be warned that these options are experimental and may not work as intended.

packed
    create a bitstream that can be decoded delay-free (default=off)
    WARNING: this will generate an illegal bitstream, and WILL NOT be decodeable by ISO-MPEG4 decoders except divx/libavcodec/xvid
    WARNING: this will also store a fake divx version in the file so the bug autodetection of some decoders might be confused

divx5bvop
    generate DivX5 compatible B-frames (default=on)

qpel
    enable quarter-pixel motion estimation (default=off)

gmc enable global motion compensation, may save bits on panning scenes (default=off)

chroma_me
    uses chroma information to estimate motion (default=off)

chroma_opt
    enable a chroma optimizer prefilter (default=off)

reduced
    enable encoding reduced resolution frames (default=off)

max_bframes=<0-4>
    maximum number of B frames to put between I/P frames (default=0)

bquant_ratio=<0-1000>
    quantizer ratio between B and non B frames, 150=1.50 (default=150)

bquant_offset=<-1000-1000>
    quantizer offset between B and non B frames, 100=1.00 (default=100)

bf_threshold=<-255-255>
    change the probability of a frame to be a bframe (default=0)

hq_ac
    enable a better prediction of AC component (default=off)

vhq=<0-4>
    enable a higher quality ME search using DCT, faster to slower:
    off (default) mode decision (inter/intra MB) limited search medium search wide search

psnr
    print the psnr (peak signal to noise ratio) for the whole video after encoding and store the per frame psnr in a file with a name like 'psnr_hhmmss.log'. Returned values are in dB (decibel), the higher the better.

FILES

/etc/mplayer/mplayer.conf
    system-wide settings

~/.mplayer/config
    user settings

~/.mplayer/input.conf
    input bindings (see '-input keylist' for full keylist)

~/.mplayer/gui.conf
    GUI configuration file

~/.mplayer/gui.pl
    GUI playlist

~/.mplayer/font/
    font directory (There must be a font.desc file and files with .RAW extension.)

~/.mplayer/DVDkeys/
    cached CSS keys

Sub files are searched for in this order (for example /mnt/cdrom/movie.avi):
    /mnt/cdrom/movie.sub
    ~/.mplayer/sub/movie.sub
    ~/.mplayer/default.sub

EXAMPLES

Quickstart DVD playing
    mplayer dvd://1

Play in japanese with english subtitles
    mplayer dvd://1 -alang ja -slang en

Play only chapters 5, 6, 7
    mplayer dvd://1 -chapter 5-7

Multiangle DVD playing
    mplayer dvd://1 -dvdangle 2

Playing from a different DVD device
    mplayer dvd://1 -dvd-device /dev/dvd2

Stream from HTTP
    mplayer http://mplayer.hq/example.avi

Stream using RTSP
    mplayer rtsp://server.example.com/streamName

Convert subtitle to MPsub (to ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Convert subtitle to MPsub without watching the movie
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub source.sub -dumpmpsub

Input from standard V4L
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Encoding DVD title #2, only selected chapters
    mencoder dvd://2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Encoding DVD title #2, resizing to 640x480
    mencoder dvd://2 -vf scale=640:480 -o title2.avi -oac copy -ovc divx4

Encoding DVD title #2, resizing to 512xHHH (keep aspect ratio)
    mencoder dvd://2 -vf scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

The same, but with libavcodec family, MPEG4 (Divx5) compression
    mencoder dvd://2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

The same, but with libavcodec family, MJPEG compression
    mencoder dvd://2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Encoding all *.jpg files in the current dir
    mencoder "mf://*.jpg" -mf fps=25 -o output.avi -ovc divx4

Encoding from tuner
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc rawrgb

Encoding from a pipe
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -

Encoding multiple *.vob files
    cat *.vob | mencoder <options> -

BUGS
Probably. PLEASE, double-check the documentation (especially bugreports.html), the FAQ and the mail archive before!
Send your complete bug reports to the MPlayer-users mailing list at <mplayer-users@mplayerhq.hu>. We love complete bug reports :)

AUTHORS
Check documentation.

MPlayer is (C) 2000-2003
    Arpad Gereoffy

This man page is written and maintained by
    Gabucino
    Diego Biurrun
    Jonas Jermann

Please send mails about it to the MPlayer-users mailing list.

STANDARD DISCLAIMER
Use only at your own risk! There may be errors and inaccuracies that could be damaging to your system or your eye. Proceed with caution, and although this is highly unlikely, the authors don't take any responsibility for that!